The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Kernel upgrade question

Discussion in 'General Discussion' started by mickalo, Mar 17, 2007.

  1. mickalo

    mickalo Well-Known Member

    Joined:
    Apr 16, 2002
    Messages:
    765
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    N.W. Iowa
    Hello,

    Question regarding kernel upgrade on a RHEL ES release 4 w/kernel: 2.6.9-42.0.3.EL - Dual processor.
    Kernel available via up2date:
    Code:
    kernel 2.6.9-42.0.10.EL
    kernel-devel 2.6.9-42.0.10.EL
    kernel-hugemem-devel 2.6.9-42.0.10.EL
    kernel-smp 2.6.9-42.0.10.E
    kernel-smp-devel 2.6.9-42.0.10.EL
    
    current installed rpm kernel:
    Code:
    kernel-smp-2.6.9-42.EL
    kernel-2.6.9-42.EL
    kernel-devel-2.6.9-42.EL
    kernel-smp-devel-2.6.9-42.EL
    kernel-hugemem-devel-2.6.9-42.EL
    kernel-smp-2.6.9-42.0.3.EL
    
    my question is what do we need to install to upgrade kernel to 42.0.10 ?

    Thx's
    Mickalo
     
  2. tweakservers

    tweakservers Well-Known Member

    Joined:
    Mar 30, 2006
    Messages:
    379
    Likes Received:
    0
    Trophy Points:
    16
    execute up2date -u from root which will auto have all relevant packages install on your server
     
  3. jayh38

    jayh38 Well-Known Member

    Joined:
    Mar 3, 2006
    Messages:
    1,215
    Likes Received:
    0
    Trophy Points:
    36
  4. mickalo

    mickalo Well-Known Member

    Joined:
    Apr 16, 2002
    Messages:
    765
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    N.W. Iowa
    thx's I'll check it out.

    Mickalo
     
  5. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    As for the releases, you only need kernel-smp and I'd recommend removing the others as they're not needed (but keep at least one older kernel-smp version incase of booting problems).

    So, based on your list, you can tidy up with:

    rpm -e kernel-smp-2.6.9-42.EL kernel-2.6.9-42.EL kernel-devel-2.6.9-42.EL
    kernel-smp-devel-2.6.9-42.EL kernel-hugemem-devel-2.6.9-42.EL


    Than up2date will only show the kernels that you need.

    All you should then to need to upgrade is:

    up2date -uif kernel-smp
     
  6. mickalo

    mickalo Well-Known Member

    Joined:
    Apr 16, 2002
    Messages:
    765
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    N.W. Iowa
    yes, that's we did yesterday and it worked fine. kernel updated w/o problems. :)

    Mickalo
     
Loading...

Share This Page